Subject: bug#41187: 28.0.50; Flipped text

From: Wasim Abbas <[email-masked]>
Date: Wed, 6 Jan 2021 14:30:41 +0000

Hi Alan,

Apologies for late reply, been away for a month.

Thanks for looking into this. I see your other email in which you mentioned you have closed the issue so just curious if the branch "scratch/ns/performance” still exists or its gone. I can’t find it `git://git.sv.gnu.org/emacs.git <git://git.sv.gnu.org/emacs.git%60>` <git://git.sv.gnu.org/emacs.git%60> or `https://git.savannah.gnu.org/git/emacs.gi` <https://git.savannah.gnu.org/git/emacs.gi%60> am I looking in the right place? There is also `https://github.com/emacs-mirror/emacs` <https://github.com/emacs-mirror/emacs%60> but it doesn’t have any `scratch/ns`.

Also did a quick search if this branch was merged in but failed to find anything relevant.

//Wasim

> On 20 Dec 2020, at 10:50, Alan Third <[email-masked]> wrote:
> 
> On Mon, Aug 17, 2020 at 03:17:32PM +0100, Wasim Abbas wrote:
>> Update:
>> 
>> Just managed to reproduce it with `emacs -Q` I just had to scroll
>> for almost 10 minutes for it to kick in. So ignore my init.el red
>> herring.
> 
> Hi Wasim, sorry for the long wait.
> 
> I've been trying to make some improvements to the performance of the
> Emacs NS port, and I think they may help with this problem. Of course,
> I'm not 100% sure the new code works anywhere except my PC yet, but if
> you could give it a go that would be helpful.
> 
> I've pushed to a branch on the Emacs repository called
> scratch/ns/performance. Please give it a go and see if it
> 
> 1. works at all.
> 
> 2. fixes your issue.
> 
> Thanks!
> -- 
> Alan Third